from StringIO import StringIO
from Products.CMFCore.utils import getToolByName
from Products.Reflecto.config import PROJECTNAME

def install(self):
    out = StringIO()

    plone_base_profileid = "profile-CMFPlone:plone"
    tool = getToolByName(self, "portal_setup")

    # Small trick to enforce loading of the right import steps
    tool.setImportContext(plone_base_profileid)
    tool.setImportContext("profile-Products.Reflecto:default")
    tool.runAllImportSteps(purge_old=False)

    tool.setImportContext(plone_base_profileid)

    print >> out, "Successfully installed %s" % PROJECTNAME

    return out.getvalue()
