"""Base class for unit tests.

Note that importing this module has various side-effects: it registers a set of
products with Zope, and it sets up a sandbox Plone site with the appropriate
products installed.
"""

import unittest

class ReflectoUnitTestCase(unittest.TestCase):
    """Base class for unit tests for the reflex' product.

    This may provide specific set-up and tear-down operations, or provide
    convenience methods.
    """

